/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.model;

import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.util.Arrays;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

/**
 * Model tests for Address
 */
public class AddressTest {
    private final Address model = new Address();

    /**
     * Model tests for Address
     */
    @Test
    public void testAddress() {
        // TODO: test Address
    }

    /**
     * Test the property 'name'
     */
    @Test
    public void nameTest() {
        // TODO: test name
    }

    /**
     * Test the property 'address1'
     */
    @Test
    public void address1Test() {
        // TODO: test address1
    }

    /**
     * Test the property 'address2'
     */
    @Test
    public void address2Test() {
        // TODO: test address2
    }

    /**
     * Test the property 'address3'
     */
    @Test
    public void address3Test() {
        // TODO: test address3
    }

    /**
     * Test the property 'address4'
     */
    @Test
    public void address4Test() {
        // TODO: test address4
    }

    /**
     * Test the property 'city'
     */
    @Test
    public void cityTest() {
        // TODO: test city
    }

    /**
     * Test the property 'zipCode'
     */
    @Test
    public void zipCodeTest() {
        // TODO: test zipCode
    }

    /**
     * Test the property 'countryCode'
     */
    @Test
    public void countryCodeTest() {
        // TODO: test countryCode
    }

}
